﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.IO;

namespace WpfAudioPlayer.Models
{
	/// <summary>
	/// 曲を表します。
	/// </summary>
	class Song
	{
		/// <summary>
		/// 音楽ファイルから Song インスタンスを生成します。
		/// </summary>
		/// <param name="fileName">音楽ファイル。</param>
		/// <returns>Song インタンス。</returns>
		public static Song FromFile( string fileName )
		{
			if( String.IsNullOrEmpty( fileName ) ) { throw new ArgumentException( "fileName" ); }

			return new Song() { FilePath = fileName, Title = Path.GetFileNameWithoutExtension( fileName ) };
		}

		/// <summary>
		/// 曲名を取得します。
		/// </summary>
		public string Title { get; private set; }

		/// <summary>
		/// 音楽ファイルへのパスを取得します。
		/// </summary>
		public string FilePath { get; private set; }
	}
}
