﻿using System.Windows;
using System.ComponentModel;
using WpfAudioPlayer.ViewModels;

namespace WpfAudioPlayer.Views
{
	/// <summary>
	/// MainWindow.xaml の相互作用ロジック
	/// </summary>
	public partial class MainWindow : Window
	{
		/// <summary>
		/// インスタンスを初期化します。
		/// </summary>
		public MainWindow()
		{
			this.InitializeComponent();
		}

		/// <summary>
		/// ウィンドウが閉じられる時に発生します。
		/// </summary>
		/// <param name="e">イベント データ。</param>
		protected override void OnClosing( CancelEventArgs e )
		{
			var context = this.DataContext as MainWindowViewModel;
			if( context != null )
			{
				context.Dispose();
			}

			base.OnClosing( e );
		}
	}
}
